package com.jz.dm.generate;

import com.baomidou.mybatisplus.annotation.DbType;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.core.exceptions.MybatisPlusException;
import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.config.GlobalConfig;
import com.baomidou.mybatisplus.generator.config.PackageConfig;
import com.baomidou.mybatisplus.generator.config.StrategyConfig;
import com.baomidou.mybatisplus.generator.config.rules.DateType;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import org.apache.commons.lang3.StringUtils;

import java.util.Scanner;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.generate
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: MybatisPlusGenerate
 * @DATE: 2021-1-30/12:43
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
public class MybatisPlusGenerate {
        public static void main(String[] args) {
            //1. 全局配置
            GlobalConfig config = new GlobalConfig();
            // 是否支持AR模式
            config.setActiveRecord(true)
                    // 作者
                    .setAuthor("ZC")
                    // 生成路径，最好使用绝对路径，window路径是不一样的
                    //TODO  TODO  TODO  TODO
                    .setOutputDir("C:\\Users\\key\\Desktop\\make")
                    // 文件覆盖
                    .setFileOverride(true)
                    // 主键策略
                    .setIdType(IdType.AUTO)

                    .setDateType(DateType.ONLY_DATE)
                    // 设置生成的service接口的名字的首字母是否为I，默认Service是以I开头的
                    .setServiceName("%sService")

                    //实体类结尾名称
                    .setEntityName("%sDO")

                    //生成基本的resultMap
                    .setBaseResultMap(true)

                    //不使用AR模式
                    .setActiveRecord(false)

                    //生成基本的SQL片段
                    .setBaseColumnList(true);

            //2. 数据源配置
            DataSourceConfig dsConfig = new DataSourceConfig();
            // 设置数据库类型
            dsConfig.setDbType(DbType.MYSQL)
                    .setDriverName("com.mysql.jdbc.Driver")
                    //TODO  TODO  TODO  TODO
                    .setUrl("jdbc:mysql://119.23.32.151:3306/api_gateway?useUnicode=true&characterEncoding=utf-8&autoReconnect=true&useSSL=false")
                    .setUsername("dmp")
                    .setPassword("Ioubuy@2019@!");

            //3. 策略配置globalConfiguration中
            StrategyConfig stConfig = new StrategyConfig();

            //全局大写命名
            stConfig.setCapitalMode(true)
                    // 数据库表映射到实体的命名策略
                    .setNaming(NamingStrategy.underline_to_camel)

                    //使用lombok
                    .setEntityLombokModel(true)

                    //使用restcontroller注解
                    .setRestControllerStyle(true)

                    // 生成的表, 支持多表一起生成，以数组形式填写
                    //TODO  TODO  TODO  TODO 两个方式，直接写，或者使用命令行输入
                    .setInclude("t_api_function");
            //.setInclude(scanner("表名，多个英文逗号分割").split(","));

            //TODO  TODO  TODO  TODO
            //4. 包名策略配置(生成的项目包名)
            PackageConfig pkConfig = new PackageConfig();
            pkConfig.setParent("com.jz.dm.models.domian")
                    .setMapper("mapper")
                    .setService("service")
                    .setController("controller")
                    .setEntity("model")
                    .setXml("mapper");

            //5. 整合配置
            AutoGenerator ag = new AutoGenerator();
            ag.setGlobalConfig(config)
                    .setDataSource(dsConfig)
                    .setStrategy(stConfig)
                    .setPackageInfo(pkConfig);

            //6. 执行操作
            ag.execute();
            System.out.println("=======  Done 相关代码生成完毕  ========");
        }

        /**
         * <p>
         * 读取控制台内容
         * </p>
         */
        public static String scanner(String tip) {
            Scanner scanner = new Scanner(System.in);
            StringBuilder help = new StringBuilder();
            help.append("请输入" + tip + "：");
            System.out.println(help.toString());
            if (scanner.hasNext()) {
                String ipt = scanner.next();
                if (StringUtils.isNotBlank(ipt)) {
                    return ipt;
                }
            }
            throw new MybatisPlusException("请输入正确的" + tip + "！");
        }
}
