package com.jz.dm.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.dm.models.domian.ApiInterfaceFile;
import com.jz.dm.models.dto.ApiInterfaceFileDto;
import com.jz.dm.models.dto.DataFileDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mapper
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiInterfaceFileMapper
 * @DATE: 2020-12-30/20:34
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
public interface ApiInterfaceFileMapper extends BaseMapper<ApiInterfaceFile> {
    /**
     * 查询项目文件等级列表
     * @param projectId
     * @return
     */
    List<ApiInterfaceFileDto> getFileFolderLevel(Long projectId);

    /**
     * 查询出所有项目文件列表
     * @param projectId
     * @param orgCode
     * @return
     */
    List<DataFileDto> listFileFolders(@Param("projectId") Long projectId, @Param("orgCode")String orgCode);


    /**
     * 获取项目下所有文件夹id
     * @param projectId
     * @param orgCode
     * @return
     */
    List<Long> getProjectFileFolders(@Param("projectId") Long projectId, @Param("orgCode")String orgCode);
}
