package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jz.dm.common.base.BaseObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * @Description:
 * @Author: Mr.zhang
 * @Date: 2020-12-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_interface")
public class ApiInterface extends BaseObject implements Serializable {


	/**
	* api唯一标识
	*/
	@TableField("api_key")
    private String apiKey;

	/**
	* api名称
	*/
	@TableField("api_name")
    private String apiName;

	/**
	* api请求协议：0,http，1.https
	*/
	@TableField("api_protocl")
    private Integer apiProtocl;

	/**
	* 接入类型:对应字典表key
	*/
	@TableField("api_type")
    private String apiType;

	/**
	* 目标url
	*/
	@TableField("target_url")
    private String targetUrl;

	/**
	* 请求方式:GET POST
	*/
	@TableField("req_type")
    private String reqType;

	/**
	* '输出类型:flow 流形式输出, json格式输出',
	*/
	@TableField("output_type")
    private String outputType;


	/**
	* 状态(1-草稿 2-发布 3-过时 4-冻结 5-失效)
	*/
	@TableField("status")
    private String status;
	/**
	* 接口功能
	*/
	@TableField("api_function")
    private String apiFunction;

	/**
	* 版本号
	*/
	@TableField("version")
    private String version;

	/**
	* 加密方式：0 无  1. MD5  2. RSA
	*/
	@TableField("sign_type")
    private Integer signType;

	/**
	 * 限流类型:DAY 按天,MONTH 按月, YEAR 按年
	 */
	@TableField("limit_type")
	private String limitType;

	/**
	 * 限制次数
	 */
	@TableField("req_frequency")
	private Long reqFrequency;
	/**
	* 超时时间(秒)
	*/
	@TableField("timeout")
    private Integer timeout;


	/**
	* 文件夹id
	*/
	@TableField("file_id")
    private Long fileId;

	/**
	 * 是否发送到数据银行
	 */
	@TableField("is_send_bank")
	private Boolean isSendBank;

	/*-----------------------------------保存数据库时忽略字段--------------------------------*/
	/**
	 * 请求总次数
	 */
	@TableField(exist=false)
	private Integer callStat;

	/**
	 * 请求总时间
	 */
	@TableField(exist = false)
	private Integer requestTimeStat;
	/**
	 * 请求参数
	 */
	@TableField(exist=false)
	private String requestParam;

	/**
	 * 响应参数
	 */
	@TableField(exist = false)
	private String responseParam;
	/**
	 * 固定参数
	 */
	@TableField(exist = false)
	private String inboxParam;
	/**
	 * 响应状态码
	 */
	@TableField(exist = false)
	private String respCode;
	/**
	 * 最大行数
	 */
	@TableField(exist = false)
	private Integer maxRow;
	/**
	 * 每页返回行数
	 */
	@TableField(exist = false)
	private Integer pageRow;

	/**
	 * 最大数据量
	 */
	@TableField(exist = false)
	private Integer maxData;

	/*---------------------------------日志查询--------------------------------*/
	/**
	 * 日志id
	 **/
	@TableField(exist = false)
	private Long logId;
	/**
	 * 是否测试
	 * */
	@TableField(exist = false)
	private Boolean isTest;
}
