package com.jz.dm.models.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.dto
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiServiceApplyDto
 * @DATE: 2021-1-28/11:10
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Data
@ApiModel(value = "服务发布/授权应用类")
public class ApiServiceApplyDto implements Serializable {

    @ApiModelProperty(value = "apiId")
    private String apiId;
    @ApiModelProperty(value = "api名称")
    private String apiName;
    @ApiModelProperty(value = "api类型")
    private String apiType;
    @ApiModelProperty(value = "返回类型")
    private String outputType;
    @ApiModelProperty(value = "请求方式")
    private String reqType;
    @ApiModelProperty(value = "最大数据量")
    private Long maxRow;
    @ApiModelProperty(value = "每页行数")
    private Long pageRow;
    @ApiModelProperty(value = "描述")
    private String apiFunction;
    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "API状态")
    private String status;
    @ApiModelProperty(value = "是否发布到数据银行,0 false 1 true")
    private Boolean isSendBank;
    @ApiModelProperty(value = "授权码")
    private String authCode;
    @ApiModelProperty(value = "创建时间/授权时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createDate;


}
