package com.jz.dm.models.req.auth;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req.auth
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: AuthRenewUpdateReq
 * @DATE: 2021-2-5/16:54
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
@ApiModel
@Data
public class AuthRenewUpdateReq implements Serializable {
    @ApiModelProperty(value = "授权码",required = true)
    @NotNull(message = "授权码不能为空")
    private String authCode;

    @ApiModelProperty(value = "有效截止时间",required = true)
    @NotNull(message = "有效截止时间不能空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date validEndTime;
}
