package com.jz.dm.service;

import com.jz.common.utils.Result;
import com.jz.dm.models.req.folder.CreateFolderReq;
import com.jz.dm.models.req.producer.ApiInterfaceReq;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ProducerService
 * @DATE: 2020-12-23/16:56
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
public interface ProducerService {

    /**
     * Api制作(实时接入)
     * @param req
     * @return
     */
  //  Result addRealCustomApi(MakeRealCustomApiReq req);



    /**
     * 获取数据源配置
     * @param req
     * @return
     */
  //  Result getSourceConfig(SourceConfigReq req);

    /**
     * 获取数据库列表
     * @param id
     * @return
     */
  //  Result getSourceWarehouseList(Long id);

    /**
     * 获取某个索引下的type
     * @param indices
     * @param id
     * @return
     */
   // Result getIndicesTypes(String indices, Long id);

    /**
     * 获取某个索引 type的fields
     * @param indices
     * @param type
     * @param id
     * @return
     */
   // Result getIndicesTypesFields(String indices, String type, Long id);

    /**
     * 数据银行制作API/数据包
     * @param req
     * @return
     */
    // Result addDataBankApiInfo(MakeDataBankApiReq req);

    /**
     * 保存修改的api信息
     * @param req
     * @return
     */
    //Result saveUpdateAPiInfo(ApiInterfaceReq req);

    /**
     * Api制作(数据查询/标签查询)
     * @param req
     * @return
     */
    Result addBigDataMakeApi(ApiInterfaceReq req);
    /**
     * 保存 API基本信息
     * @param req
     * @return
     */
    Result saveInterfaceAPi(ApiInterfaceReq req);

    /**
     * 获取文件列表
     * @param projectId
     * @param orgCode
     * @return
     */
    Result getFileCatalog(Long projectId,String orgCode);

    /**
     * 创建文件夹
     * @param req
     * @return
     */
    Result createProjectFolder(CreateFolderReq req);

    /**
     * 获取生成后的APIId
     * @return
     */
    Result getCustomApiId();

/*    *//**
     * 获取服务发布列表
     * @param req
     * @return
     *//*
    Result getServiceIssueList(ServiceIssueReq req);*/

    /**
     * 服务发布/取消操作
     * @param id
     * @param optStatus
     * @return
     */
    Result optionApiIssueStatus(Long id, Boolean optStatus);

    /**
     * 服务开发--上传
     * @param id
     * @return
     */
    Result serverUpload(Long id);

    /**
     * 获取function模板方法列表
     * @return
     */
    Result getFunctionTemplateList();

    //Result saveObjOnRedis();

    //Result getObjOnRedis();



}
