package com.jz.dm.gateway.api;

import com.alibaba.fastjson.JSONObject;
import com.jz.common.utils.HttpsUtils;
import com.jz.common.utils.Md5;
import com.jz.dm.common.util.MapUtil;
import com.jz.dm.gateway.SpringTestCase;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.gateway.api
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiReqTest
 * @DATE: 2021-1-6/14:13
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
public class ApiReqTest extends SpringTestCase {

    public static final String  url ="";
    @Autowired
    private HttpsUtils httpsUtils;

    @Test
    public void TestGatewayReq() {

        JSONObject jsonObject = new JSONObject();
        jsonObject.put("apiKey", "Y18q7v2Rq332H3ox");
        jsonObject.put("method", "query");
        jsonObject.put("signType", "MD5");
        long time = System.currentTimeMillis();
        String date = String.valueOf(time);
        jsonObject.put("timestamp", date);

        JSONObject params = new JSONObject();
        params.put("authCode", "20210000021281934021n275Hn63qaxP");
        params.put("reqParams", new JSONObject());
        jsonObject.put("params",params);
        try {
            String apiKey = jsonObject.getString("apiKey");
            String method = jsonObject.getString("method");
            String signType = jsonObject.getString("signType");

            String signature = MapUtil.getSignValue(apiKey, method, signType);
            String sign = Md5.encrypt(signature, "RPf8HL36");
            jsonObject.put("sign", sign);
           /* String response = httpsUtils.submitPost(url, jsonObject.toString());*/
            System.out.println("时间戳为:"+date+"--签名为:=="+sign);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
